Skip to main content
GET
/
v1
/
tag
/
{uid}
/
config
/tag/:uid/config
curl --request GET \
  --url https://api.tagdeliver.com/v1/tag/{uid}/config \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/tag/{uid}/config"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/tag/{uid}/config', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": [
    {
      "id": 8388,
      "unit": "iab",
      "label": "MPU 1",
      "revision": 10,
      "date_updated": "2024-05-30 11:10:13",
      "target": "[position=\"mpu_mobile\"][variant=\"1\"]",
      "target_conditional": "",
      "device_filter": {
        "type": "include",
        "matches": []
      },
      "enabled": true,
      "browser_filter": {
        "type": "include",
        "matches": []
      },
      "geo_filter": {
        "type": "include",
        "matches": []
      },
      "region_filter": {
        "type": "include",
        "matches": []
      },
      "audience_filter": {
        "type": "include",
        "matches": []
      },
      "url_filter": {
        "matches": [
          "/my-account*"
        ],
        "type": "exclude"
      },
      "viewport_filter": {
        "type": "include",
        "matches": [
          "≤1422px"
        ]
      },
      "os_filter": {
        "type": "include",
        "matches": []
      },
      "sizes": {
        "desktop": [
          "200x200",
          "250x250",
          "300x250"
        ],
        "mobile": [
          "200x200",
          "250x250",
          "300x100",
          "300x250",
          "300x50"
        ],
        "tablet": [
          "200x200",
          "250x250",
          "300x250"
        ]
      },
      "start": null,
      "end": null,
      "experiments": [],
      "floors_model": "ci_dynamic",
      "floor": 0,
      "refresh": true,
      "in_view": true,
      "custom_kvs": null
    },
    {
      "id": 8389,
      "unit": "iab",
      "label": "MPU 1 (OOV)",
      "revision": 2,
      "date_updated": "2024-06-05 16:21:16",
      "target": "[position=\"mpu_mobile\"][variant=\"1\"]",
      "target_conditional": "",
      "device_filter": {
        "type": "include",
        "matches": []
      },
      "enabled": false,
      "browser_filter": {
        "type": "include",
        "matches": []
      },
      "geo_filter": {
        "type": "include",
        "matches": []
      },
      "region_filter": {
        "type": "include",
        "matches": []
      },
      "audience_filter": {
        "type": "include",
        "matches": []
      },
      "url_filter": {
        "matches": [
          "/my-account*"
        ],
        "type": "exclude"
      },
      "viewport_filter": {
        "type": "include",
        "matches": [
          "≤1422px"
        ]
      },
      "os_filter": {
        "type": "include",
        "matches": []
      },
      "sizes": {
        "desktop": [
          "200x200",
          "250x250",
          "300x250"
        ],
        "mobile": [
          "200x200",
          "250x250",
          "300x100",
          "300x250",
          "300x50"
        ],
        "tablet": [
          "200x200",
          "250x250",
          "300x250"
        ]
      },
      "start": null,
      "end": null,
      "experiments": [],
      "floors_model": "ci_dynamic",
      "floor": 0,
      "refresh": true,
      "in_view": false,
      "custom_kvs": null
    },
    {
      "id": 8390,
      "unit": "iab",
      "label": "MPU 2",
      "revision": 10,
      "date_updated": "2024-04-11 12:04:44",
      "target": "[position=\"mpu_mobile\"][variant=\"2\"]",
      "target_conditional": "",
      "device_filter": {
        "type": "include",
        "matches": []
      },
      "enabled": true,
      "browser_filter": {
        "type": "include",
        "matches": []
      },
      "geo_filter": {
        "type": "include",
        "matches": []
      },
      "region_filter": {
        "type": "include",
        "matches": []
      },
      "audience_filter": {
        "type": "include",
        "matches": []
      },
      "url_filter": {
        "matches": [
          "/my-account*"
        ],
        "type": "exclude"
      },
      "viewport_filter": {
        "type": "include",
        "matches": [
          "≤1422px"
        ]
      },
      "os_filter": {
        "type": "include",
        "matches": []
      },
      "sizes": {
        "desktop": [
          "200x200",
          "250x250",
          "300x250"
        ],
        "mobile": [
          "200x200",
          "250x250",
          "300x100",
          "300x250",
          "300x50"
        ],
        "tablet": [
          "200x200",
          "250x250",
          "300x250"
        ]
      },
      "start": null,
      "end": null,
      "experiments": [],
      "floors_model": "ci_dynamic",
      "floor": 0,
      "refresh": true,
      "in_view": true,
      "custom_kvs": null
    },
    {
      "id": 8391,
      "unit": "iab",
      "label": "MPU 2 (OOV)",
      "revision": 2,
      "date_updated": "2024-05-30 12:00:49",
      "target": "[position=\"mpu_mobile\"][variant=\"2\"]",
      "target_conditional": "",
      "device_filter": {
        "type": "include",
        "matches": []
      },
      "enabled": false,
      "browser_filter": {
        "type": "include",
        "matches": []
      },
      "geo_filter": {
        "type": "include",
        "matches": []
      },
      "region_filter": {
        "type": "include",
        "matches": []
      },
      "audience_filter": {
        "type": "include",
        "matches": []
      },
      "url_filter": {
        "matches": [
          "/my-account*"
        ],
        "type": "exclude"
      },
      "viewport_filter": {
        "type": "include",
        "matches": [
          "≤1422px"
        ]
      },
      "os_filter": {
        "type": "include",
        "matches": []
      },
      "sizes": {
        "desktop": [
          "200x200",
          "250x250",
          "300x250"
        ],
        "mobile": [
          "200x200",
          "250x250",
          "300x100",
          "300x250",
          "300x50"
        ],
        "tablet": [
          "200x200",
          "250x250",
          "300x250"
        ]
      },
      "start": null,
      "end": null,
      "experiments": [],
      "floors_model": "ci_dynamic",
      "floor": 0,
      "refresh": true,
      "in_view": false,
      "custom_kvs": null
    },
    {
      "id": 8392,
      "unit": "iab",
      "label": "Leaderboard 1",
      "revision": 10,
      "date_updated": "2024-05-30 11:10:13",
      "target": "[position=\"leader_middle\"][variant=\"1\"]",
      "target_conditional": "",
      "device_filter": {
        "type": "include",
        "matches": []
      },
      "enabled": true,
      "browser_filter": {
        "type": "include",
        "matches": []
      },
      "geo_filter": {
        "type": "include",
        "matches": []
      },
      "region_filter": {
        "type": "include",
        "matches": []
      },
      "audience_filter": {
        "type": "include",
        "matches": []
      },
      "url_filter": {
        "matches": [
          "/my-account*"
        ],
        "type": "exclude"
      },
      "viewport_filter": {
        "type": "include",
        "matches": [
          ">1422px"
        ]
      },
      "os_filter": {
        "type": "include",
        "matches": []
      },
      "sizes": {
        "desktop": [
          "468x60",
          "728x90"
        ],
        "mobile": [
          "468x60",
          "728x90"
        ],
        "tablet": [
          "468x60",
          "728x90"
        ]
      },
      "start": null,
      "end": null,
      "experiments": [
        146
      ],
      "floors_model": "ci_dynamic",
      "floor": 0,
      "refresh": true,
      "in_view": true,
      "custom_kvs": null
    },
    {
      "id": 8393,
      "unit": "iab",
      "label": "Leaderboard 1 (OOV)",
      "revision": 10,
      "date_updated": "2024-05-30 11:10:13",
      "target": "[position=\"leader_middle\"][variant=\"1\"]",
      "target_conditional": "",
      "device_filter": {
        "type": "include",
        "matches": []
      },
      "enabled": false,
      "browser_filter": {
        "type": "include",
        "matches": []
      },
      "geo_filter": {
        "type": "include",
        "matches": []
      },
      "region_filter": {
        "type": "include",
        "matches": []
      },
      "audience_filter": {
        "type": "include",
        "matches": []
      },
      "url_filter": {
        "matches": [
          "/my-account*"
        ],
        "type": "exclude"
      },
      "viewport_filter": {
        "type": "include",
        "matches": [
          ">1422px"
        ]
      },
      "os_filter": {
        "type": "include",
        "matches": []
      },
      "sizes": {
        "desktop": [
          "468x60",
          "728x90"
        ],
        "mobile": [
          "468x60",
          "728x90"
        ],
        "tablet": [
          "468x60",
          "728x90"
        ]
      },
      "start": null,
      "end": null,
      "experiments": [
        146
      ],
      "floors_model": "ci_dynamic",
      "floor": 0,
      "refresh": true,
      "in_view": false,
      "custom_kvs": null
    },
    {
      "id": 8394,
      "unit": "adhesion",
      "label": "Adhesion",
      "revision": 10,
      "date_updated": "2024-05-30 11:10:13",
      "target": "body",
      "target_conditional": "",
      "device_filter": {
        "type": "include",
        "matches": []
      },
      "enabled": true,
      "browser_filter": {
        "type": "include",
        "matches": []
      },
      "geo_filter": {
        "type": "include",
        "matches": []
      },
      "region_filter": {
        "type": "include",
        "matches": []
      },
      "audience_filter": {
        "type": "include",
        "matches": []
      },
      "url_filter": {
        "type": "include",
        "matches": []
      },
      "viewport_filter": {
        "type": "include",
        "matches": []
      },
      "os_filter": {
        "type": "include",
        "matches": []
      },
      "sizes": null,
      "start": null,
      "end": null,
      "experiments": [],
      "floors_model": "ci_dynamic",
      "floor": 0,
      "refresh": true,
      "in_view": false,
      "custom_kvs": null
    },
    {
      "id": 8395,
      "unit": "in-image",
      "label": "In-Image",
      "revision": 10,
      "date_updated": "2024-05-30 11:10:13",
      "target": null,
      "target_conditional": "",
      "device_filter": {
        "type": "include",
        "matches": []
      },
      "enabled": true,
      "browser_filter": {
        "type": "include",
        "matches": []
      },
      "geo_filter": {
        "type": "include",
        "matches": []
      },
      "region_filter": {
        "type": "include",
        "matches": []
      },
      "audience_filter": {
        "type": "include",
        "matches": []
      },
      "url_filter": {
        "type": "include",
        "matches": []
      },
      "viewport_filter": {
        "type": "include",
        "matches": []
      },
      "os_filter": {
        "type": "include",
        "matches": []
      },
      "sizes": null,
      "start": null,
      "end": null,
      "experiments": [],
      "floors_model": "ci_dynamic",
      "floor": 0,
      "refresh": null,
      "in_view": false,
      "custom_kvs": null
    }
  ],
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
integer
required

Publisher ID

Response

200 - application/json
results
object[]
required
success
boolean
required